from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.sheet import XSheetFilterable

@runtime_checkable
class XSheetFilterableEx(XSheetFilterable, Protocol):
    def createFilterDescriptorByObject(self, xObject: XSheetFilterable) -> XSheetFilterDescriptor: ...
